from semipart.edfwm import assign_ts_with_overheads
from overheads import SystemOverheads, Overheads, CPMD, const
from model.tasks import Task, TaskSystem

oh = Overheads.from_file('ohead-data/no_oh_avg.csv')
CPMD = CPMD.from_file('ohead-data/pmo-ospert10-no-oh.csv')

ts = TaskSystem([Task(1, 3), Task(1, 2), Task(1, 3), Task(6, 300)])
ts.make_integral_us()
so = SystemOverheads(reference=oh, n=3, migration_cost=0)
so.tick_period = 1000

sched = assign_ts_with_overheads(ts, 2, so, True)
for bin in sched:
    print "Bin:"
    for item in bin.items:
        print item.params.task.utilization()
