import random
import sample

from exp import gen_task_system, util_range


def count_tasks_test(generator):
    def test(u, state):
        ts = gen_task_system(generator, u, state)
        return len(ts)
    return test

def run_avg_no_task(generators, points, samples, **kargs):
    tests = [count_tasks_test(x) for x in generators]
    gen_point = lambda u: lambda: [u, random.getstate()]
    ret = sample.range(points, gen_point, tests, samples=samples, **kargs)
    return ret

