from model.tasks import Task, TaskSystem
from semipart.edfos import assign_ts_no_overheads, write_assigned_tasks
from generator.tasksets import uni_light

task_caps = range(10, 200, 10) + range(200, 400, 50)
#task_caps = range(10, 200, 20) + range(200, 400, 50)
generator = uni_light

for cap in task_caps:
    for i in range(10):
        ts = generator(24, cap)
        for t in ts:
            t.make_integral_us()
        assign_ts_no_overheads(ts, 24)
        for t in ts:
            t.cost *= 0.9
            t.make_integral_us()
        write_assigned_tasks(ts, "edfos_ts/ts_dist=uni_light_tasks={}_algo=EDF-os_index={}".format(cap, i))
