#!/usr/bin/env python

# TODO: check out http://testoob.sourceforge.net

import unittest

import test_resmodel
import test_binpack
import test_util
import test_gedf
import test_overhead
import test_semipart

ld = unittest.defaultTestLoader.loadTestsFromModule

suite = unittest.TestSuite([
        ld(test_resmodel),
        ld(test_binpack),
        ld(test_util),
        ld(test_gedf),
        ld(test_overhead),
        ld(test_semipart),
        ])

def run_all_tests():
    unittest.TextTestRunner(verbosity=2).run(suite)

if __name__ == '__main__':
    run_all_tests()
