# hackish git 'interface'

import re

from subprocess import Popen, PIPE

def git_current_head(repo_dir='.'):
    try:
        head_file = open(repo_dir + '/.git/HEAD')
        ref_str = head_file.readline()
        head_file.close()
    except IOError, msg:
        return None
    parsed = re.match('ref: ([^\n]*)\n', ref_str)
    if not parsed:
        return None
    try:
        ref_file = open(repo_dir + '/.git/' + parsed.group(1))
        sha      = ref_file.readline()
        ref_file.close()
    except IOError, msg:
        return None
    return sha.strip()

def git_locally_modified():
    "Limitation: Assumes CWD is a git directory."
    try:
        git = Popen(['git', 'diff', '--name-only'], stdout=PIPE)
        (out, err) = git.communicate()
    except OSError, msg:
        print 'git_locally_modified(): ', msg
        return None
    files = out.strip()
    return files.split('\n') if files else []

