%module cpptest
%{
#define SWIG_FILE_WITH_INIT
#include "tasks.h"
#include "schedulability.h"
#include "edf/baker.h"
#include "edf/gfb.h"
#include "edf/baruah.h"
#include "edf/bcl.h"
#include "edf/bcl_iterative.h"
#include "edf/rta.h"
#include "edf/ffdbf.h"
#include "edf/gedf.h"
#include "edf/sim.h"
%}

%ignore Task::get_utilization(mpq_class &util) const;
%ignore Task::get_density(mpq_class &density) const;

%ignore TasSet::get_utilization;
%ignore TasSet::get_density;
%ignore TasSet::get_max_density;

#include "tasks.h"
#include "schedulability.h"
#include "edf/baker.h"
#include "edf/gfb.h"
#include "edf/baruah.h"
#include "edf/bcl.h"
#include "edf/bcl_iterative.h"
#include "edf/rta.h"
#include "edf/ffdbf.h"
#include "edf/gedf.h"
#include "edf/sim.h"
